diff --git a/books/bookvol10.4.pamphlet b/books/bookvol10.4.pamphlet
index 4cf49d2..fffdb4c 100644
--- a/books/bookvol10.4.pamphlet
+++ b/books/bookvol10.4.pamphlet
@@ -54982,7 +54982,7 @@ MakeBinaryCompiledFunction(S, D1, D2, I):Exports == Implementation where
     func: (SY, D1, D2) -> I
 
     func(name, x, y)   == FUNCALL(name, x, y, NIL$Lisp)$Lisp
-    binaryFunction name == func(name, #1, #2)
+    binaryFunction name == (d1:D1,d2:D2):I +-> func(name, d1, d2)
 
     compiledFunction(e, x, y) ==
       t := [devaluate(D1)$Lisp, devaluate(D2)$Lisp]$List(InputForm)
diff --git a/changelog b/changelog
index 919d075..5c754b4 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20090606 tpd src/axiom-website/patches.html 20090606.06.tpd.patch
+20090606 tpd books/bookvol10.4 MKBCFUNC +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.05.tpd.patch
 20090606 tpd books/bookvol10.4 LIST2MAP +-> conversion
 20090606 tpd src/axiom-website/patches.html 20090606.04.tpd.patch
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 508f08c..1ffa4bc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -1473,5 +1473,7 @@ bookvol10.4 LPEFRAC +-> conversion<br/>
 bookvol10.4 LF +-> conversion<br/>
 <a href="patches/20090606.05.tpd.patch">20090606.05.tpd.patch</a>
 bookvol10.4 LIST2MAP +-> conversion<br/>
+<a href="patches/20090606.06.tpd.patch">20090606.06.tpd.patch</a>
+bookvol10.4 MKBCFUNC +-> conversion<br/>
  </body>
 </html>
